Skip to main content
PUT
/
v1
/
retrospective_steps
/
{id}
Update a retrospective step
curl --request PUT \
  --url https://api.rootly.com/v1/retrospective_steps/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "retrospective_steps",
    "attributes": {
      "title": "<string>",
      "description": "<string>",
      "incident_role_id": "<string>",
      "due_after_days": 123,
      "position": 123,
      "skippable": true
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "retrospective_steps",
    "attributes": {
      "retrospective_process_id": "<string>",
      "title": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "incident_role_id": "<string>",
      "due_after_days": 123,
      "position": 123,
      "skippable": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/vnd.api+json
data
object
required

Response

retrospective_step updated

data
object
required